summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Horák <dan@danny.cz>2021-06-30 11:35:13 +0200
committerDan Horák <dan@danny.cz>2021-06-30 11:35:13 +0200
commitfd41fd536b1182281af587cfccc0d61802af920b (patch)
tree343d7141d0ea3fad4f5f01e263641c3b81fd55b5
parent8d923ded2abf3596ed9744de62095a1aba083f87 (diff)
downloadutils-fd41fd536b1182281af587cfccc0d61802af920b.tar.gz
utils-fd41fd536b1182281af587cfccc0d61802af920b.tar.xz
utils-fd41fd536b1182281af587cfccc0d61802af920b.zip
zfcpconf: set exit code explicitly (#1977434)
-rw-r--r--zfcpconf.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/zfcpconf.sh b/zfcpconf.sh
index 8dc05ad..c3c6bf4 100644
--- a/zfcpconf.sh
+++ b/zfcpconf.sh
@@ -36,7 +36,7 @@ if [ -f "$CONFIG" ]; then
modprobe zfcp
fi
if [ ! -d /sys/bus/ccw/drivers/zfcp ]; then
- return
+ exit 1
fi
sed 'y/ABCDEF/abcdef/' < $CONFIG | while read line; do
case $line in
@@ -74,3 +74,4 @@ if [ -f "$CONFIG" ]; then
esac
done
fi
+exit 0